Package org.freeplane.api

# Interface FontRO

All Known Subinterfaces:
  `Font`, `Proxy.Font`, `Proxy.FontRO`

public interface FontRO
Node's font: `node.style.font` - read-only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getSize()`
  `boolean`
  `isBold()`
  `boolean`
  `isBoldSet()`
  `boolean`
  `isItalic()`
  `boolean`
  `isItalicSet()`
  `boolean`
  `isNameSet()`
  `boolean`
  `isSizeSet()`
  `boolean`
  `isStrikedThrough()`
  `boolean`
  `isStrikedThroughSet()`

- ## Method Details

  - ### getName

    String getName()

  - ### getSize

    int getSize()

  - ### isBold

    boolean isBold()

  - ### isBoldSet

    boolean isBoldSet()

  - ### isItalic

    boolean isItalic()

  - ### isItalicSet

    boolean isItalicSet()

  - ### isStrikedThrough

    boolean isStrikedThrough()

  - ### isStrikedThroughSet

    boolean isStrikedThroughSet()

  - ### isNameSet

    boolean isNameSet()

  - ### isSizeSet

    boolean isSizeSet()